# Création de ports ## Conditions préalables[​](#conditions-préalables "Lien direct vers Conditions préalables") Authentifier - envoyez vos identifiants utilisateur, votre identifiant client et votre secret client pour l'authentification OAuth2. Pour savoir comment appeler OAuth API pour valider et authentifier vos identifiants, reportez-vous à [authentification API](https://docs.equinix.com/fr-CA/equinix-api/api-authentication.md). ## Créer un port[​](#créer-un-port "Lien direct vers Créer un port") Pour créer un port, envoyez `POST`une demande au [`/fabric/v4/ports`](https://docs.equinix.com/fr-CA/api-catalog/fabricv4/ports/createport.md)point final. | | | | --------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | Méthode | `POST` | | URL ou point de terminaison | `/fabric/v4/ports` | | En-têtes | `Authorization`, `Content-Type` | | Paramètres du chemin | Non applicable | | Paramètres de requête | `dryRun` | | Paramètres corporels | `type`, `id`, `uuid`, `name`, , `description``physicalPortsSpeed`, `connectionsCount`, `physicalPortsType`, `physicalPortsCount`, , `connectivitySourceType``bmmrType`, `project`, `state`, `order`, , `cvpId``operation`, `account`, `change`, `changeLog`, , `availableBandwidth``usedBandwidth`, `location`, `device`, `interface`, , `demarcationPointIbx``tetherIbx`, `demarcationPoint`, `redundancy`, `encapsulation`, , `lagEnabled``lag`, `asn`, `package`, `settings`, , `physicalPortQuantity``notifications`, `additionalInfo`, `endCustomer`, , `physicalPorts``loas` | Pour valider en toute sécurité cette demande en production sans créer ni modifier de ressources, voir [test en production (API à sec)](https://docs.equinix.com/fr-CA/equinix-api/testing/testing-in-production-dry-run.md). Exemple de requête cURL - colocation, port non-LAG: ``` curl -X POST 'https://api.equinix.com/fabric/v4/ports' -H 'Content-Type: application/json' -H 'Authorization: Bearer ' -d '{ "type": "XF_PORT", "physicalPortsSpeed": 1000, "physicalPortsType": "1000BASE_LX", "connectivitySourceType": "COLO", "location": { "metroCode": "GV" }, "demarcationPointIbx": "GV1", "package": { "code": "STANDARD" }, "lagEnabled": false, "encapsulation": { "type": "DOT1Q", "tagProtocolId": 33024 }, "project": { "projectId": "8f23b36f-db8f-44c8-a6e5-606e1b485931" }, "account": { "accountNumber": 270848 }, "notifications": [ { "registeredUsers": [ "jaguarsuser-port-order" ], "type": "TECHNICAL" } ], "order": { "purchaseOrder": { "number": 156576, "amount": 10, "startDate": "2018-06-11T22:25:52.206Z", "endDate": "2018-07-11T22:25:52.206Z", "type": "NEW" }, "signature": { "signatory": "DELEGATE", "delegate": { "firstName": "John", "lastName": "Doe", "email": "john.doe@company.com" } } }, "physicalPorts": [ { "demarcationPoint": { "ibx": "GV1", "cabinetUniqueSpaceId": "Demarc", "cageUniqueSpaceId": "GV1:01:002174", "patchPanel": "CP:Demarc:1259684", "connectorType": "SC" } } ] }' ``` Exemple de réponse: ``` { "type": "XF_PORT", "physicalPortsType": "10GBASE_L", "physicalPortsSpeed": 10000, "physicalPortsCount": 1, "location": { "metroCode": "AM" }, "demarcationPointIbx": "AM1", "redundancy": { "group": 1, "priority": "PRIMARY" }, "lagEnabled": true, "encapsulation": { "type": "DOT1Q", "tagProtocolId": 33024 }, "package": { "code": "STANDARD" }, "settings": { "sharedPortType": false }, "project": { "projectId": 567 }, "account": { "accountNumber": 1000 }, "order": { "orderNumber": "1-207799950758", "signature": { "signatory": "DELEGATE", "delegate": { "email": "testEmail1@equinix.com" } } }, "notifications": [ { "type": "TECHNICAL", "registeredUsers": [ "jaguarsuser-port-order" ] }, { "type": "NOTIFICATION", "registeredUsers": [ "jaguarsuser-port-order" ] }, { "type": "PEERING", "registeredUsers": [ "jaguarsuser-port-order" ] }, { "type": "ESCALATION", "registeredUsers": [ "jaguarsuser-port-order" ] } ] } ``` Pour une description détaillée de la réponse ou pour obtenir plus d'exemples, consultez la [référence API](https://docs.equinix.com/fr-CA/api-catalog/fabricv4/ports/createport.md) .